local bluecrawlacolor = SKINCOLOR_CORNFLOWER
local redcrawlacolor = SKINCOLOR_PEPPER

COM_AddCommand("changecrawlacolor", function(player, arg1, arg2)
	if arg1 == nil
	or (arg1 ~= "blue"
	and arg1 ~= "red")
	or not player
	or not player.valid
		CONS_Printf(player, "Valid args are blue and red.")
		return
	end
	arg1 = tostring(arg1)
	if arg1 == "blue"
		if (arg2 == nil
		or R_GetColorByName(arg2) == SKINCOLOR_NONE)
		and arg2 ~= "default"
			CONS_Printf(player, "Please input a valid color.")
			return
		end
		arg2 = tostring(arg2)
		if arg2 ~= "default"
			bluecrawlacolor = R_GetColorByName(arg2)
			CONS_Printf(player, "Blue Crawla color is now " + (R_GetNameByColor(bluecrawlacolor)))
			for mobj in mobjs.iterate()
				if mobj and mobj.valid
				and mobj.type == MT_BLUECRAWLA
					mobj.color = bluecrawlacolor
				end
			end
		else
			bluecrawlacolor = SKINCOLOR_CORNFLOWER
			CONS_Printf(player, "Blue Crawla color is now " + (R_GetNameByColor(bluecrawlacolor)))
			for mobj in mobjs.iterate()
				if mobj and mobj.valid
				and mobj.type == MT_BLUECRAWLA
					mobj.color = bluecrawlacolor
				end
			end
		end
	elseif arg1 == "red"
		if (arg2 == nil
		or R_GetColorByName(arg2) == SKINCOLOR_NONE)
		and arg2 ~= "default"
			CONS_Printf(player, "Please input a valid color.")
			return
		end
		arg2 = tostring(arg2)
		if arg2 ~= "default"
			redcrawlacolor = R_GetColorByName(arg2)
			CONS_Printf(player, "Red Crawla color is now " + (R_GetNameByColor(redcrawlacolor)))
			for mobj in mobjs.iterate()
				if mobj and mobj.valid
				and mobj.type == MT_REDCRAWLA
					mobj.color = redcrawlacolor
				end
			end
		else
			redcrawlacolor = SKINCOLOR_PEPPER
			CONS_Printf(player, "Red Crawla color is now " + (R_GetNameByColor(redcrawlacolor)))
			for mobj in mobjs.iterate()
				if mobj and mobj.valid
				and mobj.type == MT_REDCRAWLA
					mobj.color = redcrawlacolor
				end
			end
		end
	end
end)

addHook("MobjSpawn", function(mobj)
	if mobj and mobj.valid
		if mobj.type == MT_BLUECRAWLA
			mobj.color = bluecrawlacolor
		end
		if mobj.type == MT_REDCRAWLA
			mobj.color = redcrawlacolor
		end
	end
end)